### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `utils.generics`

Generic functions for extending IPython.

See http://cheeseshop.python.org/pypi/simplegeneric.

## 2 Functions

`IPython.utils.generics.``inspect_object`(*args, **kw)

  Called when you do obj?

`IPython.utils.generics.``complete_object`(*args, **kw)

  Custom completer dispatching for python objects.

  Parameters:

  obj : object

  > The object to complete.

  prev_completions : list

  > List of attributes discovered so far.

  This should return the list of attributes in obj. If you only wish to :

  add to the attributes already discovered normally, return :

  own_attrs + prev_completions. :

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »